%define languageenglazy Kannada
%define languagecode    kn
%define lc_ctype        kn_IN

Name:           hunspell-%{languagecode}
Version:        1.0.3
Release:        %mkrel 15
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+ or LGPLv2+ or MPLv1.1
Group:          System/Internationalization
URL:            https://extensions.services.openoffice.org/project/kannada
Source0:        https://extensions.services.openoffice.org/files/2628/1/kannada.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-kn
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# there is no myspell-kn dictionary
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p kn_IN.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p kn_IN.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_kn_IN.txt COPYING COPYING.MPL COPYING.GPL COPYING.LGPL
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.0.3-15.mga10
+ Revision: 2197510
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.0.3-14.mga9
+ Revision: 1801820
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.3-13.mga8
+ Revision: 1491732
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0.3-12.mga7
+ Revision: 1263888
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0.3-11.mga6
+ Revision: 947762
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-10.mga5
+ Revision: 742475
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-9.mga5
+ Revision: 680261
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-8.mga4
+ Revision: 505767
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.3-7.mga3
+ Revision: 353518
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.0.3-6.mga3
+ Revision: 325542
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 1.0.3-5.mga2
+ Revision: 224708
- add requirement on locales (mga#4632)

* Fri Jan 27 2012 kamil <kamil> 1.0.3-4.mga2
+ Revision: 202103
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 1.0.3-3.mga1
+ Revision: 68884
- imported package hunspell-kn


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 09 2009 Ramakrishna Reddy Yekulla <ramkrsna@fedoraproject.org> - 1.0.3-1
- initial version
